This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 464752 - RFE: Proposed patch to automates removal of a Berkeley DB dbenv when DB_VERSION_MISMATCH or EINVAL is returned
RFE: Proposed patch to automates removal of a Berkeley DB dbenv when DB_VERSI...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 04:46 EDT by Elia Pinto
Modified: 2009-09-16 17:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 10:35:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm-4.4.2-db3-mismatch.patch (1.96 KB, patch)
2008-09-30 04:47 EDT, Elia Pinto
no flags Details | Diff

  None (edit)
Description Elia Pinto 2008-09-30 04:46:23 EDT
Description of problem:

This patch automates removal of a Berkeley DB dbenv when
DB_VERSION_MISMATCH or EINVAL is returned.

Version-Release number of selected component (if applicable):

rpm-4.4.2-48.el5


Additional info:

Patch included
Comment 1 Elia Pinto 2008-09-30 04:47:14 EDT
Created attachment 318048 [details]
rpm-4.4.2-db3-mismatch.patch
Comment 2 Panu Matilainen 2009-03-18 10:35:20 EDT
Blindly blasting away the environment (including the locks it might hold) is not at all the right thing to do.
Comment 3 Jeff Johnson 2009-03-27 08:18:46 EDT
Testing the return code DB_VERSION_MISMATCH and automating
the recommended action, removal of the dbenv file, is hardly
"blinding blasting away the environment".

But YMMV, have fun!

Note You need to log in before you can comment on or make changes to this bug.